<?
session_start();
require_once('classes/body.class.php');
require_once('classes/db.class.php');
require_once('classes/system.class.php');
$title= new Body;
$title->SetTitle(''.homeurl.' - Создать профиль');

///Подключаем шапку
$title->GetHeader();

if ($b == true){
header('location:/');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Регистрация </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Соглашение с правилами </span></li></ol></div><div class="col-xs-12 col-sm-4 col-md-3 col-lg-3 text-right page_header_sidebar"></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';


$do = isset($_GET['do']) ? check($_GET['do']) : false;
switch($do) {
default:
echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> - Регистрация - Правила<br/></div><div class="row text_box"><div class="pull-right text-muted top_right_box"></div>
<b>1.1 Ограничения по регистрации</b><br/>
Запрещается регистрироваться с никами, содержащими:<br/>
- нецензурные слова или матерные корни, а также, звучащими некультурно при прочтении;<br/>
- только цифры / спецсимволы, а также состоящие из набора букв или цифр, не несущих смысловую нагрузку;<br/>
- украшательства, слова написанные ЗАГЛАВНЫМИ буквами, с заменой символов (например: -=Васечка=-, BeL@ru$);<br/>
- адреса веб-сайтов, E-mail и т.п.;<br/>
- похожими на имена администраторов или модераторов;</div>
<div class="row text_box"><div class="pull-right text-muted top_right_box"></div>
<b>1.2 Мульты, поддельные ники, обмен уч.записей</b><br/>
Запрещена: <br/>
- двойная регистрация, т.е. регистрация под двумя и более никнеймами в целях усугубления нарушений, совершенных с учетной записи – «основы»;<br/>
- регистрация двойника уже существующего никнейма (визуально схожего до степени смешения);<br/>
- захват никнеймов, то есть регистрация с целью воспрепятствовать их использованию другими потенциальными участниками;<br/>
- передача зарегистрированного никнейма другому физическому или юридическому лицу;</div>
<div class="row text_box"><div class="pull-right text-muted top_right_box"></div>
<b>1.3 Оповещение о регистрации</b><br/>
После регистрации пользователю на e-mail высылается подтверждение о внесении его учетной записи в базу данных, а также его логин и пароль. Именно поэтому необходимо указывать реально существующий адрес электронной почты. Если у вас его еще пока нет, вы можете зарегистрировать e-mail, воспользовавшись бесплатными почтовыми сервисами, перейдя по ссылкам: mail.ru или yandex.ru Либо выбрать любой другой из тех, что вам понравятся;
</div><div class="row text_box"><div class="pull-right text-muted top_right_box"></div>
<b>1.4 Соглашение</b><br/>
Необходимым условием регистрации является соблюдение Правил форума и уважение его посетителей и администрации!<br/></div>

<div class="row text_box"><a href="?do=step2"><i class="md-shuffle"></i> Согласен</a></div>
<div class="row text_box"><a href="/"><i class="md-shuffle"></i> Не согласен</a></div>';
break;
case 'step2':
echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> - Регистрация :: Шаг 1 из 2<br/></div><div class="row text_box">';
$_SESSION['reg_nick'] = '';
if (isset($_POST['save'])) {
$err = array();
$form = ['nick' => isset($_POST['nick']) ? check($_POST['nick']) : null];
if (empty($form['nick']) && mb_strlen($form['nick']) < 2 OR mb_strlen($form['nick']) > 20) {
$err[] = 'Проверьте правильность ввода ника! Не меньше 2 / не больше 20 символов.';
}
if (!preg_match('/[a-z]/i', $form['nick']) && !preg_match('/[а-яё]/siu', $form['nick'])) {
$err[] = 'Ник не может одновременно содержать рус. и англ. буквы!';
}
$stm = DB::$dbs->query("SELECT * FROM `blogger` WHERE `nick` = ?",[$form['nick']]);
$result = $stm -> fetch(PDO::FETCH_OBJ);
if (!empty($result->nick)) {
$err[] = 'Такой ник в базе уже есть!';
}
if (empty($err)) {
$_SESSION['reg_nick'] = $form['nick'];
header('location: ?do=step3');
die();
} else {
echo '<div class="error">';
foreach($err as $error) {
echo '<b>'.$error.'</b><br/>';
}
echo '</div>';
}
}
echo '<div class="pull-right text-muted top_right_box"></div><form action="?do=step2" name="form" method="POST">Ник:<br/><input type="text"  class="form-control" name="nick"><br/><input class="btn btn-primary" type="submit" name="save" value="Далее"/></form>';
echo '</div>';
break;
case 'step3':
if (empty($_SESSION['reg_nick'])) header('Location: ?');
echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> - Регистрация - Шаг 1 из 2<br/></div><div class="row text_box"><div class="pull-right text-muted top_right_box"></div>';
if (isset($_POST['save'])) {
$err = [];
$form = ['nick' => $_SESSION['reg_nick'], 'name' => isset($_POST['name']) ? check($_POST['name']) : null, 'family' => isset($_POST['family']) ? check($_POST['family']) : null, 'mail' => isset($_POST['mail']) ? check($_POST['mail']) : null, 'sex' => isset($_POST['sex']) ? check($_POST['sex']) : null, 'spec' => isset($_POST['spec']) ? abs((int)$_POST['spec']) : null, 'code' => isset($_POST['code']) ? check($_POST['code']) : null];
if (empty($form['code']) OR $_SESSION['captcha'] != $form['code']) {
$err[] = ' Каптча введена не верно.';
}
if (empty($form['nick']) && mb_strlen($form['nick']) < 2 OR mb_strlen($form['nick']) > 20) {
$err[] = 'Проверьте правильность ввода ника! Не меньше 2 / не больше 20 символов.';
}
if (preg_match('/[a-z]/i', $form['nick']) && preg_match('/[а-яё]/siu', $form['nick'])) {
$err[] = 'Ник не может одновременно содержать рус. и англ. буквы!';
}

if (empty($form['name'])) {
$err[] = 'Проверьте правильность ввода имени. Разрешены только русские буквы.';
}
if (mb_strlen($form['name']) < 3 OR mb_strlen($form['name']) > 20) {
$err[] = 'Длина имени должна быть минимум 3 и максимум 20 букв.';
}

if (empty($form['sex'])) {
$err[] = 'Укажите свой пол!';
}
if (empty($form['mail'])) {
$err[] = 'Укажите свой E-mail!';
}

$stm = DB::$dbs->query("SELECT * FROM `blogger` WHERE `nick` = ? AND `email` = ? AND `email_secret` = ?",[$form['nick'],$form['mail'],$form['mail_secret']]);
$result = $stm -> fetch(PDO::FETCH_OBJ);
if (!empty($result->nick)) {
$err[] = 'Такой ник в базе уже есть!';
}
if (!empty($result->email)) {
$err[] = 'Такой E-mail в базе уже есть!';
}

if (DB::$dbs->querySingle("SELECT COUNT(*) FROM `blogger` WHERE `nick` = ?", [$form['nick']]) > 0) {
$err[] = 'Такой ник уже есть в системе!';
}
$pass = pass(8);
if (empty($err)) {
DB::$dbs->query("INSERT INTO `blogger` (`nick`,`name`,`email`,`pass`,`sex`,`reg`,`activ`,`ip`,`soft`,`last`,`spec`) VALUES (?,?,?,?,?,?,?,?,?,?,?)", array($form['nick'],$form['name'],$form['mail'],sha1($pass.'gearnet'),$form['sex'],time(),1,$_SERVER['REMOTE_ADDR'],$_SERVER['HTTP_USER_AGENT'],time(),$form['spec']));
$id = DB::$dbs->lastInsertId();
setcookie('id', $id, time()+3600*24*30*12, '/');
setcookie('pass', sha1($form['pass'].'gearnet'), time()+3600*24*30*12, '/');
$mes = 'Спасибо за регистрацию на сайте '.$_SERVER['HTTP_HOST'].'!<br />Ваш ник: <b>'.$form['nick'].'</b><br/> Ваш E-mail: <b>'.$form['mail'].'</b><br/>Ваш пароль: <b>'.$pass.'</b><br/>Используйте эти данные для входа на сайт.';
$from = 'SUPPORT@PROFMAS.NET';
mail($form['mail'], "Спасибо за регистрацию", $mes,
"From: $from \r\n"
."Content-Type: text/html; charset=\"utf-8\" \r\n"
."X-Mailer: PHP/" . phpversion());
lenta('На сайте зарегистрировался новый мастер '.Nick($id));
echo 'Регистрация прошла успешно! Регистрационные данные для входа на сайт отправлены на E-mail указанный при регистрации<br/></div>';
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
die();
} else {
echo '<div class="error">';
foreach($err as $error) {
echo '<b>'.$error.'</b><br/>';
}
echo '</div>';
}
}
echo '<form action="?do=step3" name="form" method="POST">Ваш ник: <b>' . $_SESSION['reg_nick'] . '</b><br/>Имя:<br/><input  class="form-control" type="text" name="name"><br/
>E-mail:<br/><input  class="form-control" type="text" name="mail"><br/>Выберите пол:<br/><select class="form-control"name="sex"><option value="Муж">Муж</option><option value="Жен">Жен</option></select><br/>';
echo 'Выберите специальность:<br/><select class="form-control" name="spec">';
$sp = [0=>'Ничего не умею', 1=>'Кодер', 2=>'Дизайнер', 3=>'Хостер', 4=>'Селлер'];
foreach($sp as $value => $key) {
echo '<option value="'.$value.'">'.$key.'</option>';
}
echo '</select><br/>Каптча: <img src="/system/captcha.php" alt="*"/><br/><input class="form-control" type="text" name="code"/><br/><input type="submit" name="save"  class="btn btn-primary" value="Регистрация"/></form><br/>Все поля обязательные к заполнению<br/>&#187; <a href="?do=step2">Назад</a>';
echo '</div>';
break;
}


///Подключаем меню
$title->GetMenu();

///Подключаем футер
$title->GetFooter();
?>